Loading...
Searching...
No Matches
BALL::AmberTorsion::SingleAmberTorsion Struct Reference

`#include <BALL/MOLMEC/AMBER/amberTorsion.h>`

## Public Member Functions

| SingleAmberTorsion ()
| SingleAmberTorsion (CosineTorsion::SingleData &t)

## Public Attributes

Atom * | atom1
Atom * | atom2
Atom * | atom3
Atom * | atom4
float | V
unsigned char | f
float | phase

## Detailed Description

Definition at line 43 of file amberTorsion.h.

## Constructor & Destructor Documentation

## SingleAmberTorsion() [1/2]

BALL::AmberTorsion::SingleAmberTorsion::SingleAmberTorsion | ( |  | ) |

inline

Definition at line 54 of file amberTorsion.h.

## SingleAmberTorsion() [2/2]

BALL::AmberTorsion::SingleAmberTorsion::SingleAmberTorsion | ( | CosineTorsion::SingleData & | t | ) |

inline

Definition at line 66 of file amberTorsion.h.

## Member Data Documentation

## atom1

Atom* BALL::AmberTorsion::SingleAmberTorsion::atom1

Definition at line 45 of file amberTorsion.h.

## atom2

Atom* BALL::AmberTorsion::SingleAmberTorsion::atom2

Definition at line 46 of file amberTorsion.h.

## atom3

Atom* BALL::AmberTorsion::SingleAmberTorsion::atom3

Definition at line 47 of file amberTorsion.h.

## atom4

Atom* BALL::AmberTorsion::SingleAmberTorsion::atom4

Definition at line 48 of file amberTorsion.h.

## f

unsigned char BALL::AmberTorsion::SingleAmberTorsion::f

Definition at line 51 of file amberTorsion.h.

## phase

float BALL::AmberTorsion::SingleAmberTorsion::phase

Definition at line 52 of file amberTorsion.h.

## V

float BALL::AmberTorsion::SingleAmberTorsion::V

Definition at line 50 of file amberTorsion.h.